A plea from a die-hard Windows XP user

General discussion about Slimjet, or other issues related to web browser in general.
DaveHawley
Posts: 24
Joined: Wed Jun 15, 2016 6:09 pm

A plea from a die-hard Windows XP user

Post by DaveHawley » Sun Jul 10, 2016 4:17 pm

I understand why you are dropping XP support with Slimjet 12, I think all XP users have accepted that this would be inevitable sooner or later, and sadly it's proved to be sooner.
My only regret is that you dropped NPAPI plugin support with Slimjet 11, which worked in Slimjet 10.
It would be really great if the last version of Slimjet usable on Windows XP still also supported the old NPAPI plugins as well.
Then we could carry on using a version of Slimjet on XP that also supported the old plugins, and would hopefully still receive critical security patches, as far as this was possible.
As I read it, if you still need NPAPI plugins to work, you're stuck with Slimjet 10, which won't receive any more security fixes, and updating to 11, which will, will lose NPAPI support.
Is there any chance of thinking again on this?
Cheers, Dave.
:)

illusionofchoice
Posts: 5
Joined: Fri Mar 11, 2016 6:10 am

Re: A plea from a die-hard Windows XP user

Post by illusionofchoice » Fri Jul 15, 2016 7:22 pm

Very sad to see that slimjet no longer supports xp and npapi... and all other chromium browsers dropped support too after v50... :cry:
Only decent browser i found that still supports them is 360chrome(cn), im using it alongside slimjet for a while now. So it seems like only good alternative for older systems at this moment (at least until they drop english support) :cry:

Nordones
Posts: 31
Joined: Sat Jun 28, 2014 6:23 pm

Re: A plea from a die-hard Windows XP user

Post by Nordones » Sun Jul 17, 2016 5:42 pm

DaveHawley wrote: My only regret is that you dropped NPAPI plugin support with Slimjet 11, which worked in Slimjet 10.
Could not agree more. I've tried Windows 7 on my older Dell Latitude, then reverted to XP PRO SP3 (with the XP Registry hack which gives me most Point of Sale updates until 2019).

I prefer Slimjet to all other Chrome browsers, but NPAPI support is key to my continued usage. IF I read the programmers' posts correctly, it would still be possible in Chromium 51 to enable NPAPI support and as security fixes going forward will come for SlimJet 11, not 10, this leaves those of us who are using 10.0.7, twisting in the breeze.

As Dave says, please rethink this. There are more of us XP users out there.

Tks for listening.
-N-

flashpeak
Site Admin
Posts: 361
Joined: Mon Apr 21, 2014 3:57 pm

Re: A plea from a die-hard Windows XP user

Post by flashpeak » Thu Jul 21, 2016 1:19 am

Actually, we found Slimjet 11 is broken for XP in more than one way and it is pretty much impossible to fix all the issues. Therefore, we have selected Slimjet 10 as the final branch point for XP users instead. Refer to this blog: http://www.slimjet.com/blog/windows-xp- ... xperience/
Stephen Cheng
FlashPeak Inc.

DaveHawley
Posts: 24
Joined: Wed Jun 15, 2016 6:09 pm

Re: A plea from a die-hard Windows XP user

Post by DaveHawley » Fri Jul 22, 2016 7:00 am

Thank you, that is good to know, that it will be Slimjet 10 that will be the "frozen" version for XP users, and will hopefully continue to get critical security fixes, as far as is possible of course.

Just one thing though, my copy of 10.0.7.0 has just prompted me that 10.0.8.0 is available.
However, when I say OK to the update, it updates, shows me the changes for 10.0.8.0, but has actually updated to 11.0.2.0!
Can this be fixed pleased?
I would not now be expecting to be offered an update to version 11 on an XP system, and certainly not when it was flagged as an update to a later version of 10!
Cheers, Dave.
:)

RBTB2605
Posts: 347
Joined: Fri Jul 03, 2015 7:06 am

Re: A plea from a die-hard Windows XP user

Post by RBTB2605 » Fri Jul 22, 2016 1:11 pm

Go into your settings and turn off auto updating.

DaveHawley
Posts: 24
Joined: Wed Jun 15, 2016 6:09 pm

Re: A plea from a die-hard Windows XP user

Post by DaveHawley » Fri Jul 22, 2016 3:40 pm

Well yes, of course I can do that, but surely I shouldn't have to, and if I do I will potentially miss important security updates to Slimjet 10 in the future!
Ideally the update system should detect that I'm using Windows XP, and only serve me versions of Slimjet 10.
I suspect that this just hasn't been implemented yet.
Cheers, Dave.
:)

RBTB2605
Posts: 347
Joined: Fri Jul 03, 2015 7:06 am

Re: A plea from a die-hard Windows XP user

Post by RBTB2605 » Fri Jul 22, 2016 4:12 pm

I am not so sure that the update system in the future will detect that you are using XP. We will wait for flashpeak to answer that question.

DaveHawley
Posts: 24
Joined: Wed Jun 15, 2016 6:09 pm

Re: A plea from a die-hard Windows XP user

Post by DaveHawley » Fri Jul 22, 2016 5:38 pm

That's certainly the way it is with Opera now, if I check for updates I get none offered on my XP system even though it's on Opera 36 and the current version is 38.
Opera 36 is the declared last version of Opera for XP, as Slimjet 10 is for Slimjet.
I would expect the Slimjet update checker to do the same.
:)

User avatar
oftentired
Posts: 1234
Joined: Tue May 13, 2014 3:14 am

Re: A plea from a die-hard Windows XP user

Post by oftentired » Fri Jul 22, 2016 7:10 pm

They have just recently announced the decision to use version 10 as the XP fork. Give them some reasonable time to square away the issues with updating :D
For those of you who wear aluminum foil hats, the voices lie, don't believe them!

Running 32 Bit SJ on Win 7 Pro

Locked